Package org.silverpeas.components.silvercrawler.servlets.handlers

## Class SearchHandler

- java.lang.Object
- - org.silverpeas.components.silvercrawler.servlets.handlers.FunctionHandler
  - - org.silverpeas.components.silvercrawler.servlets.handlers.SearchHandler

-     public class SearchHandler
      extends FunctionHandler

  Handler for use case : user submitted search query.
  Author:
    Ludovic Bertin

- - ### Field Summary

    - ### Fields inherited from class org.silverpeas.components.silvercrawler.servlets.handlers.FunctionHandler

      `ROOT_DESTINATION`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SearchHandler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getDestination​(SilverCrawlerSessionController sessionController, javax.servlet.http.HttpServletRequest request)` | Process the request and returns the response url.

    - ### Methods inherited from class org.silverpeas.components.silvercrawler.servlets.handlers.FunctionHandler

      `computeDestination, getUserHighestRole`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SearchHandler

          public SearchHandler()

  - ### Method Detail

    - #### getDestination

          public String getDestination​(SilverCrawlerSessionController sessionController,
                                       javax.servlet.http.HttpServletRequest request)
                                throws Exception

      Description copied from class: `FunctionHandler`
      Process the request and returns the response url.
      Specified by:
        `getDestination` in class `FunctionHandler`
      Parameters:
        `sessionController` - the user request context
        `request` - the user request params
      Throws:
        `Exception`